Yaf_Route_Interface
Yaf_Route_Map
Yaf_Route_Interface
PHP Manual

# Yaf_Route_Interface::route

(Yaf >=1.0.0)

Yaf_Route_Interface::route — route a request

### Description

abstract public bool Yaf_Route_Interface::route ( Yaf_Request_Abstract `$request` )

Yaf_Route_Interface::route() is the only method that a custom route should implement.

if this method return `TRUE`, then the route process will be end. otherwise, Yaf_Router will call next route in the route stack to route request.

This method would set the route result to the parameter request, by calling Yaf_Request_Abstract::setControllerName(), Yaf_Request_Abstract::setActionName() and Yaf_Request_Abstract::setModuleName().

This method should also call Yaf_Request_Abstract::setRouted() to make the request routed at last.

Warning

This function is currently not documented; only its argument list is available.

### Parameters

`request`

  A Yaf_Request_Abstract instance.

### Return Values

Yaf_Route_Interface
Yaf_Route_Map
Yaf_Route_Interface
PHP Manual